1  REM
3  KEY OFF:SCREEN 0,1:WIDTH 40:COLOR 14,0,0:CLS:LOCATE 5,19:PRINT "MDS"
5  LOCATE 7,8,0:PRINT "Micro Development Software"
6  LOCATE 8,8:COLOR 12,0,0:PRINT STRING$(26,196)
7  COLOR 10,0:LOCATE 10,9,0:PRINT CHR$(201)+STRING$(21,205)+CHR$(187)
9  LOCATE 11,9:PRINT CHR$(186)+"  DECISION ENHANCER  "+CHR$(186)
11  LOCATE 12,9:PRINT CHR$(186)+STRING$(21,32)+CHR$(186)
13  LOCATE 13,9:PRINT CHR$(186)+"    Version 2.2      "+CHR$(186)
15  LOCATE 14,9:PRINT CHR$(200)+STRING$(21,205)+CHR$(188)
17  LOCATE 17,10:PRINT"Written By M.D. Smith"
19  COLOR 14,0:LOCATE 19,7:PRINT "         Circa 1985"
21  COLOR 9,0:LOCATE 23,7:PRINT "Press space bar to continue"
23  POKE 106,0:REM CLEAR KYBD BUFFER
25  A$ = INKEY$:IF A$="" THEN GOTO 25
27  REM
29  REM
31  REM
32  REM
34  REM ***************************************************************
36  REM *                                                             *
38  REM *   DECISION.BAS   A program to enhance Decision Making       *
40  REM *                                                             *
42  REM *   Written by M.D. Smith, Manager of WAAY-TV                 *
44  REM *   1000 Monte Sano Blvd., S.E.,  Huntsville, AL  35801       *
46  REM *   M.D. Smith is also an Instructor of the Dale Carengie     *
48  REM *   Management Seminar(c).   First version: July 7, 1985      *
50  REM *                                                             *
52  REM *               Version 2.7   July 12, 1985                   *
54  REM *                                                             *
56  REM ***************************************************************
58  REM
60  REM
80  DIM Q$(25),A(25),A$(25)
90  FOR I=1 TO 25:READ Q$(I):NEXT I
100  WIDTH 80:COLOR 14,0,0:CLS
110  LOCATE 7 ,15:PRINT"THIS PROGRAM WILL HELP YOU DECIDE WHAT TO DO"
120  LOCATE 9 ,15:PRINT"IN A PENDING MATTER THAT YOU MUST MAKE A "
130  LOCATE 11,15:PRINT"DECISION ABOUT IN THE NEAR FUTURE."
140  LOCATE 17,10:PRINT"ANSWER THE FEW QUESTIONS THAT FOLLOW AND AT THE END"
150  LOCATE 19,10:PRINT"OF THE PROGRAM, YOU WILL KNOW WHAT TO DO !"
160  GOSUB 9260
200  CLS:LOCATE 5,20:PRINT"**** THE WHAT-TO-DO QUESTIONNAIRE ****"
210  LOCATE 25,15:COLOR 12,0,0:PRINT"INPUT A `Y' FOR YES AND A `N' FOR A NO ANSWER.":COLOR 14,0,0
220  LOCATE 8,10:PRINT"ANSWER THE FOLLOWING 25 QUESTIONS, SEE NOTE AT BOTTOM":PRINT
240  FOR I= 1 TO 25
250     PRINT "#";I;Q$(I);
260     INPUT A$(I):IF A$(I)="Y" OR A$(I)="y" THEN A(I)=1 ELSE A(I)=0
265     PRINT
280     TOT = TOT+A(I):C = C+1
290  NEXT I
300  REM DO NOT DELAY SCREEN
305  REM
306  REM ****  COMPUTE AND PRINT RESULTS ***
307  REM
310  CLS:PRINT SPC(7);"*****   RESULTS OF QUESTIONNAIRE  *****"
320  SCORE = 100-(INT((TOT/C)*100))
330  PRINT:PRINT"  YOUR SCORE AS A DECISION MAKER IS:";SCORE;"%"
350  PRINT:PRINT"As you may have guessed, a `Y' scores AGAINST your decision making abilities."
360  PRINT"Actually, gamblers are quite satisfied with a `batting average' of 55%,"
370  PRINT"because in the long run they will make money. Most of us, unless we do"
380  PRINT"everything wrong, are pretty good decision-makers. The main problem seems"
390  PRINT"to be our concern about being right every time. Even if we are wrong some"
400  PRINT"of the time, it's our `batting average' that will get us to the top."
410  PRINT"But we sure can't get a decent batting average if we don't swing the bat."
420  PRINT"This questionnaire should have shown you that you are already good in making"
430  PRINT"decisions. You just need to make them fearlessly when needed and be ready"
440  PRINT"to modify them if it becomes necessary with more input at a later time."
450  PRINT:PRINT"Now you see that the real answer about a decision when you ask yourself,"
460  PRINT CHR$(34);"WHAT SHOULD I DO";CHR$(34);", is to decide just as you have been doing."
470  PRINT"But now, you can decide without fear. No, you won't be perfect. You just"
480  PRINT"weigh the alternatives, make the decision, and be ready to modify it if"
490  PRINT"additional input and information makes it necessary."
500  PRINT"We are better than we usually think...we just needed to know it."
510  PRINT"   ****  GOOD DECISIONS TO YOU, YOU KNOW WHAT TO DO ! ****"
520  GOSUB 9260
600  REM
700  CLS:PRINT:PRINT:INPUT"DO YOU WANT YOUR QUESTIONNAIRE AND ANSWERS PRINTED ON THE PRINTER (Y/N)";P$
710  IF P$ <> "Y" AND P$ <> "y" THEN GOTO 1000
745  REM
750  REM *****  THIS PRINTS OUT THE QUESTIONNAIRE ON THE PRINTER ****
755  REM
760  LPRINT:LPRINT:LPRINT
770  LPRINT SPC(5);"***  25 Point QUESTIONNAIRE concerning Decision-Making ***"
780  LPRINT:LPRINT:LPRINT
790  FOR I= 1 TO 25
800      LPRINT "#";I;Q$(I);"  :";A$(I)
810      LPRINT
820  NEXT I
830  LPRINT:LPRINT:LPRINT"YOUR SCORE AS A DECISION-MAKER IS:";SCORE;"%"
840  LPRINT:LPRINT:LPRINT:LPRINT:LPRINT:LPRINT
1000   PRINT:PRINT:INPUT"WOULD YOU LIKE A CLOSING INSPIRATIONAL MESSAGE ON DECISION MAKING (Y/N)";M$
1010  IF M$ <> "Y" AND M$ <> "y" THEN GOTO 9300: REM ** END OF PROGRAM **
1020  RANDOMIZE TIMER
1030  MESS = INT(RND(1)*5)+1
1040  ON MESS GOSUB 3000,3200,3300,3400,3600
1045  PRINT:PRINT:INPUT"WOULD YOU LIKE ANOTHER MESSAGE ON DECISION MAKING (Y/N)";N$
1046  IF N$ = "Y" OR N$ = "y" THEN GOTO 1020
1050  GOTO 9300: REM END OF PROGRAM
2995  REM
2996  REM *********************** MESSAGE 1 *********************************
2997  REM
2998  REM
3000  CLS:COLOR 15,0,0:PRINT:PRINT:PRINT:PRINT SPC(15);"*****  TO THE MAN...IN THE ARENA  *****":COLOR 14,0,0
3010  PRINT:PRINT:PRINT CHR$(34);"It is not the critic who counts, not the man who points out how"
3020  PRINT"the strong man stumbled or where the doer of deeds could have"
3030  PRINT"done them better. The credit belongs to the man who is actually"
3040  PRINT"in the arena; whose face is marred by dust and sweat and blood;"
3050  PRINT"who strives valiantly; who errs and comes short again and again;"
3060  PRINT"who knows the great enthusiasms, the great devotions, and spends"
3070  PRINT"himself in a worthy cause; and who, at the best, knows the triumph of"
3080  PRINT"high achievement; and who, at the worst, if he fails, at least fails"
3090  PRINT"while daring greatly, so that his place shall never be with those"
3100  PRINT"cold and timid souls who know neither victory nor defeat.";CHR$(34)
3110  PRINT:PRINT:PRINT SPC(42);"THEODORE ROOSEVELT"
3120  GOSUB 9260
3125  RETURN
3130  REM
3140  REM  *******************************  MESSAGE 2 *********************
3150  REM
3200  CLS:COLOR 15,0,0:LOCATE 8,25:PRINT"** NO GUTS....  NO GLORY ! **":COLOR 14,0,0
3210  PRINT:PRINT:PRINT"The message here is simply this: If you aren't willing to take a chance"
3220  PRINT:PRINT"with some of your decisions, you'll never truly experience the good feeling,"
3230  PRINT:PRINT"the GLORY of accomplishment. You won't always succeed, but the successes"
3240  PRINT:PRINT"will overshadow the failures. "
3250  REM
3260  GOSUB 9260
3265  RETURN
3270  REM
3280  REM
3290  REM ******************************** MESSAGE 3 ***********************
3300  CLS:COLOR 15,0,0:PRINT:PRINT:PRINT:PRINT SPC(6);"THE MAN WHO NEVER MAKES ANY MISTAKES, NEVER MAKES ANYTHING.":COLOR 14,0,0
3310  PRINT:PRINT:PRINT SPC(45);"HARRY TRUMAN
3320  PRINT:PRINT:PRINT:PRINT:PRINT"Don't put off making a decision when one is needed for fear of making a"
3330  PRINT:PRINT"mistake. Make decisions at the time needed. If it turns out to be a mistake,"
3340  PRINT:PRINT"then make a new decision. Harry Truman made his share of mistakes, but he is"
3350  PRINT:PRINT"remembered for his accomplishments, not his mistakes."
3360  GOSUB 9260
3365  RETURN
3370  REM
3380  REM
3390  REM ******************************** MESSAGE 4 ************************
3400  CLS:COLOR 15,0,0:PRINT:PRINT:PRINT SPC(15);"Do you 'PLAY IT SAFE' with decisions?":COLOR 14,0,0
3410  PRINT:PRINT:PRINT"Is playing it safe the 'AVERAGE' thing to do? Don't be average. That is"
3420  PRINT:PRINT"living by DEFAULT. It's not having the guts to take a stand in life. Average"
3430  PRINT:PRINT"is the Top of the Bottom or the Bottom of the Top. Average is the Best of the"
3440  PRINT:PRINT"Worst or the Worst of the Best.  You can have one foot on a block of ice"
3450  PRINT:PRINT"and the other in boiling water, and, on-the-average, you're comfortable."
3460  PRINT:PRINT"The post-office averages a 3-day delivery. Bills come in 1 day and your"
3470  PRINT:PRINT"checks come in 6 days."
3480  PRINT:PRINT SPC(6);"DON'T ALWAYS BE AVERAGE AND DON'T ALWAYS PLAY IT SAFE !"
3490  GOSUB 9260
3495  RETURN
3500  REM
3510  REM
3520  REM ******************************** MESSAGE 5 ************************
3530  REM
3540  REM
3600  CLS:COLOR 15,0,0:PRINT:PRINT:PRINT"GOOD DECISIONS COME FROM EXPERIENCE AND EXPERIENCE COMES FROM POOR DECISIONS.":COLOR 14,0,0
3605  PRINT:PRINT SPC(31);"Herbert V. Prochnow, President"
3607  PRINT SPC(31);"Chicago First National Bank"
3610  PRINT:PRINT:PRINT"No one ever makes only good decisions. Both you and subordinates must make"
3620  PRINT:PRINT"your share of poor decisions. Actually, these are good decisions at the time,"
3630  PRINT:PRINT"they just turned out badly later. But we learn from the experiences and we all"
3640  PRINT:PRINT"must have room to make our share of mistakes. That is how each of us grows."
3650  PRINT:PRINT"Make decisions when needed and allow for a fair share of mistakes from your"
3660  PRINT:PRINT"decisions. Of course, allow the same flexibility in others' decisions."
3670  GOSUB 9260
3675  RETURN
3680  REM
3690  REM
3700  REM
3710  REM
3720  REM
3730  REM
9000  DATA "Do you make a decision, that turns out wrong, on purpose"
9010  DATA "Do your decisions usually create great troubles for you"
9020  DATA "When you make a decision, do you make it in a hasty manner"
9030  DATA "Do you disregard the consequence to others in your decisions"
9040  DATA "After making a decision, do you stand by it...no matter what"
9050  DATA "Do you disregard the long-range effects of your decisions"
9060  DATA "Do you only consider ONE possibility for every decision"
9070  DATA "Do over 80% of your decisions turn out sour for you"
9080  DATA "Once a decision is made, do you reject fresh input on the matter"
9090  DATA "Do you forget to write down alternative decisions to consider"
9100  DATA "Before making a decision, do you disregard the `worst outcome'"
9110  DATA "Do you forget to weigh the value of each possible alternative"
9120  DATA "Do you close your mind to others' ideas in decision making"
9130  DATA "Do you forget to ask others' input if the decision affects them"
9140  DATA "Do you ALWAYS stand by your decisions to the `bitter end'"
9150  DATA "Have you forgotten that BABE RUTH was also the `strike-out-king'"
9160  DATA "Do you believe that `NO DECISION' is a good decision"
9170  DATA "Do you believe that you SHOULD NEVER make a mistake"
9180  DATA "Do you expect your friends to never make a mistake"
9190  DATA "Do you feel compelled to be ABSOLUTELY PERFECT"
9200  DATA "Do you believe that, at your age, you MUST be right"
9210  DATA "Will the world think less of you for a poor decision"
9220  DATA "Have you been hesitant about making decisions"
9230  DATA "Do you prefer `committees' to make decisions for you"
9240  DATA "Do you like to let others make decisions for you"
9250  END
9260  REM *** THIS IS THE 'HIT ANY KEY' WAIT SUBROUTINE ****
9270  LOCATE 24,25:COLOR 10,0,0:PRINT"< PRESS ANY KEY TO CONTINUE >";
9280  A$=INKEY$:IF A$="" THEN 9280
9290  COLOR 14,0,0:RETURN
9300  WIDTH 80:COLOR 14,0,0:CLS:END
50000  REM ***** AUTO SAVER BELOW ***********
50005  SAVE"DECISION.BAS"
50010  SAVE"B:DECISION.BAS"
